## ubuntu-release-upgrader 19.04.16

=== debian/changelog ===
ubuntu-release-upgrader (1:19.04.16) disco; urgency=medium

  * DistUpgrade/imported/invoke-rc.d: Import the current version of the script
    to fix upgrade failures of packages which only ship upstart and
    systemd units, but no SysV init script. (LP: #1813464)
  * DistUpgrade/imported/invoke-rc.d.diff: update the diff so that it applies
    to the current version of invoke-rc.d.
  * pre-build.sh: actually update invoke-rc.d on a regular basis and try to
    automatically appply the patch.
  * Update of demotions and mirrors data.

 -- Brian Murray <brian@ubuntu.com>  Fri, 12 Apr 2019 10:39:09 -0700

ubuntu-release-upgrader (1:19.04.15) disco; urgency=medium

  * debian/control: build depend on the new version of update-manager which
    supports checking to see if an https url is downloadable. (LP: #1823410)
  * tests/test_sources.list.py: add a test for https support.
  * Update of demotions and mirrors data.
  * DistUpgrade/DistUpgradeQuirks.py: update the deb2snap quirk for disco,
    bump the version of gnome snap, and include the core18 snap.

 -- Brian Murray <brian@ubuntu.com>  Mon, 08 Apr 2019 14:19:29 -0700

ubuntu-release-upgrader (1:19.04.14) disco; urgency=medium

  * DistUpgradeController.py: Instead of checking every sources.list entry to
    see if they are accessible keep track of the uris and only test once per
    uri thereby preventing situations where entries for the same server are
    enabled and disabled. (LP: #1822886)
  * Update of demotions and mirrors data.

 -- Brian Murray <brian@ubuntu.com>  Thu, 04 Apr 2019 17:06:26 -0700

ubuntu-release-upgrader (1:19.04.13) disco; urgency=medium

  [ Brian Murray ]
  * Add a lintian override for unsafe symlinks after removing some crufty
    symlinks.

  [ Dimitri John Ledkov ]
  * Fix up minor lintian warnings.
  * Trick dh_python3 into processing script, in a non-standard location.

 -- Brian Murray <brian@ubuntu.com>  Thu, 14 Mar 2019 10:41:34 -0700

ubuntu-release-upgrader (1:19.04.12) disco; urgency=medium

  * DistUpgradeController.py: Check to see if the current release is an LTS
    before warning that livepatch will be disabled. Thanks to Andrea Azzarone
    for the patch. (LP: #1816423)
  * pre-build.sh: run tests first because those are quicker than updating
    mirrors and demotions.

 -- Brian Murray <brian@ubuntu.com>  Fri, 08 Mar 2019 10:59:32 -0800

ubuntu-release-upgrader (1:19.04.11) disco; urgency=medium

  * do-release-upgrade: fix typo of development. (LP: #1813470)

 -- Brian Murray <brian@ubuntu.com>  Tue, 26 Feb 2019 13:37:50 -0800

ubuntu-release-upgrader (1:19.04.10) disco; urgency=medium

  [ Andrea Azzarone ]
  * DistUpgrade/DistUpgradeView.py,
    DistUpgrade/DistUpgradeViewGtk3.py,
    DistUpgrade/DistUpgradeViewKDE.py,
    DistUpgrade/DistUpgradeViewNonInteractive.py,
    DistUpgrade/DistUpgradeViewText.py:
    - add askCancelContinueQuestion for all the supported views.
  * DistUpgrade/DistUpgradeController.py: Ask for confirmation if Livepatch
    is turned on, and you are upgrading to a version where Livepatch is not
    available. (LP: #1799310)
  * debian/control: add an explicit python3-distro-info dependency to
    python3-distupgrade as it is now required by DistUpgradeController.

 -- Brian Murray <brian@ubuntu.com>  Mon, 21 Jan 2019 08:57:50 -0800

ubuntu-release-upgrader (1:19.04.9) disco; urgency=medium

  * DistUpgrade/xorg_fix_proprietary.py: shebang needs to use python3 not
    python.

 -- Brian Murray <brian@ubuntu.com>  Fri, 21 Dec 2018 10:14:53 -0800

ubuntu-release-upgrader (1:19.04.8) disco; urgency=medium

  * debian/source_ubuntu-release-upgrader.py: Include xorg_fixup.log if it
    exists.
  * DistUpgrade/xorg_fix_proprietary.py: modify how the system is checked to
    see if nvidia is being used, drop fglrx check since it has been
    deprecated. (LP: #1773637)

 -- Brian Murray <brian@ubuntu.com>  Mon, 17 Dec 2018 14:04:03 -0800

ubuntu-release-upgrader (1:19.04.7) disco; urgency=medium

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeCache.py: When calculating free space needed for
    mount points don't use a negative number as the buffer. (LP: #1786484)
  * fix more typos re RELEASE_UPRADER_ALLOW_THIRD_PARTY
  * DistUpgrade/DistUpgradeController.py: When rewriting sources.list entries
    check to see if the source provides packages for the release to which the
    upgrade is occurring. If it doesn't the entry is disabled thereby
    improving upgrades with PPAs. (LP: #1807043)
  * do-release-upgrade: add a parameter to allow third party mirrors and
    repositories, additionally pass along the environmental variable
    RELEASE_UPGRADER_ALLOW_THIRD_PARTY via pkexec and sudo. (LP: #1807032)
  * DistUpgrade/DistUpgradeCache.py: improve messaging regarding failures to
    calculate the upgrade and suggest using ppa-purge if PPAs are an issue.
  * DistUpgrade/DistUpgradeCache.py: in the event there is a failure to
    calculate the upgrade provide information about the log files in
    /var/log/dist-upgrade. (LP: #1771387)

  [ Jeremy Bicha ]
  * autopkgtest: Update dependency from gir1.2-webkit-3.0 to gir1.2-webkit2-4.0

 -- Brian Murray <brian@ubuntu.com>  Tue, 11 Dec 2018 15:35:34 -0800

ubuntu-release-upgrader (1:19.04.6) disco; urgency=medium

  * data/release-upgrades: Clarify documentation regarding the behavior for
    different Prompt settings. (LP: #1795024)
  * do-release-upgrade: Utilize information regarding what Prompt is set to so
    that a more informative error message can be displayed.
    (LP: #1798618, LP: #1795024)

 -- Brian Murray <brian@ubuntu.com>  Wed, 28 Nov 2018 10:02:43 -0800

ubuntu-release-upgrader (1:19.04.5) disco; urgency=medium

  * Remove the unused computer janitor code thereby resolving a Traceback that
    occurs when importing it. (LP: #1805475)

 -- Brian Murray <brian@ubuntu.com>  Tue, 27 Nov 2018 09:17:35 -0800

ubuntu-release-upgrader (1:19.04.4) disco; urgency=medium



=== debian/rules ===
#!/usr/bin/make -f

ARCH=all
DIST=$(shell lsb_release -c -s)
DEBVER=$(shell LC_ALL=C dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p' | sed s/.*://)
TARNAME=dist-upgrader_$(DEBVER)_$(ARCH).tar.gz
DH_ARGS=--with=python3
PY3REQUESTED := $(shell py3versions -r)
PY3DEFAULT := $(shell py3versions -d)
# Run setup.py with the default python3 last so that the scripts use
# #!/usr/bin/python3 and not #!/usr/bin/python3.X.
PY3 := $(filter-out $(PY3DEFAULT),$(PY3REQUESTED)) python3

%:
	dh $@ $(DH_ARGS)

override_dh_auto_clean:
	set -ex; for python in $(PY3); do \
		LANG=C.UTF-8 LC_ALL=C.UTF-8 $$python setup.py clean -a; \
	done
	find -name __pycache__ | xargs rm -rf
	rm -rf ./build ./DistUpgrade/$(DEBVER) ./DistUpgrade/mo \
		./DistUpgrade/$(DIST)  ./DistUpgrade/$(DIST).tar.gz \
		 ./DistUpgrade/ubuntu-drivers-obsolete.pkgs ./po/mo

binary-indep:
	dh $@ $(DH_ARGS)
	# now the dist-upgrader special tarball
	(cd DistUpgrade/ && \
	   ./build-tarball.sh && \
	   mkdir -p $(DEBVER)  && \
	   cp $(DIST).tar.gz ./*ReleaseAnnouncement* $(DEBVER) && \
	   tar czvf ../../$(TARNAME) \
	       $(DEBVER)/*ReleaseAnnouncement* \
               $(DEBVER)/$(DIST).tar.gz )
	dpkg-distaddfile $(TARNAME) raw-dist-upgrader -

override_dh_auto_build:
	set -ex; for python in $(PY3); do \
		LANG=C.UTF-8 LC_ALL=C.UTF-8 $$python setup.py build; \
	done

override_dh_auto_install:
	set -ex; for python in $(PY3); do \
		LANG=C.UTF-8 LC_ALL=C.UTF-8 $$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done

override_dh_python3:
	mkdir -p debian/ubuntu-release-upgrader-gtk/usr/bin
	cp ./debian/ubuntu-release-upgrader-gtk/usr/lib/ubuntu-release-upgrader/check-new-release-gtk debian/ubuntu-release-upgrader-gtk/usr/bin
	dh_python3
	rm ./debian/ubuntu-release-upgrader-gtk/usr/bin/check-new-release-gtk
	rmdir debian/ubuntu-release-upgrader-gtk/usr/bin

## ubuntu-release-upgrader 19.04.16.9

=== debian/changelog ===
ubuntu-release-upgrader (1:19.04.16.9) disco; urgency=medium

  * do-release-upgrade: add linux-base to the check for required reboot after
    a kernel upgrade (LP: #1844805).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 07 Nov 2019 12:03:55 +0100

ubuntu-release-upgrader (1:19.04.16.8) disco; urgency=medium

  * do-release-upgrade: also check for linux-image- in reboot-required.pkgs,
    refusing upgrading before a reboot is performed. (LP: #1844805)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 29 Oct 2019 10:37:28 +0100

ubuntu-release-upgrader (1:19.04.16.7) disco; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py, DistUpgrade/DistUpgradeCache.py:
    Modify DistUpgradeQuirks to calculate extra space needed for snaps that
    need to be installed during upgrade (replacing old debs) and add that to
    estimates done in checkFreeSpace(). (LP: #1783597)
  * DistUpgrade/DistUpgradeCache.py: Make sure checkFreeSpace() still works for
    update-manager with its own implementation of MyCache.
  * DistUpgrade/DistUpgradeQuirks.py: Make sure snaps like core18 are not
    refreshed/installed from the stable/ubuntu-VERSION branch but instead use
    stable on upgrades. (LP: #1841225)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 09 Sep 2019 15:41:12 +0200

ubuntu-release-upgrader (1:19.04.16.6) disco; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: only try to install snaps if snapstore
    is reachable. (LP: #1831933)

 -- Dan Streetman <ddstreet@canonical.com>  Wed, 19 Jun 2019 12:49:56 -0400

ubuntu-release-upgrader (1:19.04.16.5) disco; urgency=medium

  [ Gunnar Hjalmarsson ]
  * DistUpgrade/window_main.ui: Really update for 19.04 (LP: #1825733).

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeViewNonInteractive.py: when responding to a
    conffile prompt with "n" use bytes not a string. (LP: #1796193)

 -- Brian Murray <brian@ubuntu.com>  Fri, 10 May 2019 15:19:00 -0700

ubuntu-release-upgrader (1:19.04.16.4) disco; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: modify function which updates snaps so
    that it determines the release from which a system is being upgraded.
    Additionally, update the channel for the snap to reflect the release to
    which we are upgrading. (LP: #1827951)
  * data/DistUpgrade.cfg.bionic, data/DistUpgrade.cfg:
    - update KernelRemoval sections to kernel packages that appear in
      Ubuntu 18.04 and Ubuntu 18.10. (LP: #1828072)

 -- Brian Murray <brian@ubuntu.com>  Mon, 06 May 2019 16:20:45 -0700

ubuntu-release-upgrader (1:19.04.16.3) disco; urgency=medium

  * data/DistUpgrade.cfg.bionic,
    data/demoted.cfg.bionic,
    pre-build.sh:
    - support upgrades from bionic (LP: #1827635)

 -- Brian Murray <brian@ubuntu.com>  Fri, 03 May 2019 11:47:57 -0700

ubuntu-release-upgrader (1:19.04.16.2) disco; urgency=medium

  * Fix broken symbolic link of DistUpgrade/DistUpgrade which caused code from
    the installed ubuntu-release-upgrader to be used instead of code in the
    dist-upgrader tarball. (LP: #1824430)

 -- Brian Murray <brian@ubuntu.com>  Thu, 25 Apr 2019 08:22:50 -0700

ubuntu-release-upgrader (1:19.04.16.1) disco; urgency=medium

  * data/removal_blacklist.cfg: add blacklist entry for postgresql versions
    with two major digits e.g. postgresql-11. (LP: #1825563)
  * Update of demotions and mirrors data.

 -- Brian Murray <brian@ubuntu.com>  Fri, 19 Apr 2019 15:25:07 -0700

## ubuntu-release-upgrader 19.10.15

=== debian/changelog ===
ubuntu-release-upgrader (1:19.10.15) eoan; urgency=medium

  * Don't check for validity of /usr/bin/python symlink because this is no
    longer relevant to the upgrades (and the printed error message was
    inaccurate).  LP: #1825655.
  * Clean up remaining references to /usr/bin/python (tests and utilities)
    in the source.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 11 Oct 2019 16:54:15 -0700

ubuntu-release-upgrader (1:19.10.14) eoan; urgency=medium

  * DistUpgrade/DistUpgradeCache.py: New python3-apt bindings no longer provide
    Package.section, so switch to using Package.{candidate,installed}.section
    whenever applicable. This fixes broken partial upgrades. (LP: #1841675)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 10 Oct 2019 09:59:30 +0200

ubuntu-release-upgrader (1:19.10.13) eoan; urgency=medium

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeQuirks.py: do not include gnome-system-monitor in
    the deb to snap transition anymore. (LP: #1845485)
  * DistUpgrade/DistUpgradeQuirks.py: improve wording regarding not being able
    to upgrade from a system with an apt architecture of i386.

  [ Łukasz 'sil2100' Zemczak ]
  * DistUpgrade/DistUpgradeQuirks.py: slightly refactor code to fix related
    unit tests.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 03 Oct 2019 14:34:06 +0200

ubuntu-release-upgrader (1:19.10.12) eoan; urgency=medium

  * DistUpgrade/DistUpgradeCache.py: Make sure checkFreeSpace() still works for
    update-manager with its own implementation of MyCache. (LP: #1843076)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 10 Sep 2019 18:44:43 +0200

ubuntu-release-upgrader (1:19.10.11) eoan; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py, DistUpgrade/DistUpgradeCache.py:
    Modify DistUpgradeQuirks to calculate extra space needed for snaps that
    need to be installed during upgrade (replacing old debs) and add that to
    estimates done in checkFreeSpace(). (LP: #1783597)
  * DistUpgrade/DistUpgradeQuirks.py: Make sure snaps like core18 are not
    refreshed/installed from the stable/ubuntu-VERSION branch but instead use
    stable on upgrades. (LP: #1841225)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 03 Sep 2019 15:58:38 +0200

ubuntu-release-upgrader (1:19.10.10) eoan; urgency=medium

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeQuirks.py: Resolve issue with the fallback
    mechanism including more than the version number for the release.

  [ Gianfranco Costamagna ]
  * Fix E117 over idented code

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jul 2019 23:08:52 +0200

ubuntu-release-upgrader (1:19.10.9) eoan; urgency=medium

  * DistUpgrade/DistUpgradeCache.py, DistUpgrade/DistUpgradeController.py:
    drop code which identified obsolete kernels and marked them for removal as
    it is redundant with functionality that exists in apt. (LP: #1828100)
  * DistUpgrade/DistUpgradeQuirks.py: Create a fallback mechanism for
    determining the version of a release (necessary for Ubuntu 18.04) when
    replacing debs with snaps. (LP: #1833753)

 -- Brian Murray <brian@ubuntu.com>  Fri, 21 Jun 2019 14:30:19 -0700

ubuntu-release-upgrader (1:19.10.8) eoan; urgency=medium

  [ Steve Langasek ]
  * Factor the release version out of the to-be-translated strings, so
    that translators don't have to chase updating this for every release.
    LP: #1727472.
  * Update the pot file in the source, evidently not done for the past 3
    years.

 -- Brian Murray <brian@ubuntu.com>  Tue, 18 Jun 2019 08:59:08 -0700

ubuntu-release-upgrader (1:19.10.7) eoan; urgency=medium

  [ Dan Streetman ]
  * DistUpgrade/DistUpgradeQuirks.py: only try to install snaps if snapstore
    is reachable. (LP: #1831933)

 -- Brian Murray <brian@ubuntu.com>  Mon, 17 Jun 2019 09:49:36 -0700

ubuntu-release-upgrader (1:19.10.6) eoan; urgency=medium

  * DistUpgradeQuirks.py: modify string regarding refreshing and installing
    snaps so that it is translatable. (LP: #1824005)

 -- Brian Murray <brian@ubuntu.com>  Fri, 14 Jun 2019 10:33:21 -0700

ubuntu-release-upgrader (1:19.10.5) eoan; urgency=medium

  * DistUpgrade/DistUpgradeViewNonInteractive.py: when responding to a
    conffile prompt with "n" use bytes not a string. (LP: #1796193)
  * DistUpgrade/DistUpgradeController.py: set a default value for devRelease
    even if there are no options specified. (LP: #1827441)

 -- Brian Murray <brian@ubuntu.com>  Fri, 10 May 2019 13:30:07 -0700

ubuntu-release-upgrader (1:19.10.4) eoan; urgency=medium

  [ Gunnar Hjalmarsson ]
  * DistUpgrade/window_main.ui: Really update for 19.10 (LP: #1825733).

 -- Brian Murray <brian@ubuntu.com>  Thu, 09 May 2019 11:06:05 -0700

ubuntu-release-upgrader (1:19.10.3) eoan; urgency=medium

  * data/DistUpgrade.cfg: update BaseNames section to kernel packages that
    appear in Ubuntu 19.04. (LP: #1828072)
  * data/DistUpgrade.cfg.bionic: update KernelRemoval section to kernel
    packages that appear in Ubuntu 18.04. (LP: #1828072)

 -- Brian Murray <brian@ubuntu.com>  Tue, 07 May 2019 10:15:37 -0700

ubuntu-release-upgrader (1:19.10.2) eoan; urgency=medium

  * DistUpgradeQuirks.py: leverage distro_info to determine version for the
    release codename so version numbers aren't hard coded and
    _replaceDebsWithSnaps won't require regular updating.
  * data/DistUpgrade.cfg: update version in KernelRemoval section of the
    config.
  * update references to Eoan since it has an animal now.

 -- Brian Murray <brian@ubuntu.com>  Mon, 06 May 2019 14:04:58 -0700

ubuntu-release-upgrader (1:19.10.1) eoan; urgency=medium

  * DistUpgrade/{EOL,Devel}ReleaseAnnouncement,
    DistUpgrade/window_main.ui,
    data/gtkbuilder/DistUpgrade.ui,
    data/DistUpgrade.cfg,
    pre-build.sh:
    - updated for 19.04 -> 19.10
  * data/DistUpgrade.cfg.bionic,
    data/demoted.cfg.bionic,
    pre-build.sh:
    - support upgrades from bionic (LP: #1827635)


=== debian/control ===
Source: ubuntu-release-upgrader
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9), 
               python3-all,
               dh-python,
               python3-distutils-extra, 
               python3-apt (>= 0.8.5~),
               lsb-release,
               ubuntu-drivers-common (>= 1:0.2.55) [i386 amd64], 
               python3-update-manager (>= 1:19.04.5),
               apt-clone (>= 0.2.3~ubuntu2)
Build-Depends-Indep: libxml-parser-perl, 
                     intltool
Standards-Version: 4.3.0
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/ubuntu-release-upgrader/trunk

Package: ubuntu-release-upgrader-core
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-distupgrade (= ${source:Version}),
         ca-certificates
Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
Replaces: update-manager (<< 1:0.165),
          update-manager-core (<< 1:0.165)
Breaks: update-manager (<< 1:0.165),
        update-manager-core (<< 1:0.165),
        software-properties (<< 0.9.27)
Description: manage release upgrades
 This is the core of the Ubuntu Release Upgrader

Package: python3-distupgrade
Architecture: all
Section: python
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-update-manager (>= 1:19.04.2~),
         python3-apt (>= 0.8.5~),
         python3-distro-info,
         gpgv,
         lsb-release,
         sensible-utils
Replaces: python3-update-manager (<< 1:0.165)
Breaks: python3-update-manager (<< 1:0.165)
Description: manage release upgrades
 This is the DistUpgrade Python 3 module

Package: ubuntu-release-upgrader-gtk
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${misc:Depends},
         ubuntu-release-upgrader-core (= ${source:Version}),
         update-manager,
         python3-distupgrade (= ${source:Version}),
         python3-dbus,
         python3-gi (>= 3.8),
         gir1.2-vte-2.91,
         gir1.2-gtk-3.0,
         gir1.2-webkit2-4.0
Description: manage release upgrades
 This is the GTK+ frontend of the Ubuntu Release Upgrader

Package: ubuntu-release-upgrader-qt
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ubuntu-release-upgrader-core (= ${source:Version}),
         python3-pyqt5,
         psmisc
Recommends: qttranslations5-l10n
Replaces: update-manager-kde (<< 1:0.165)
Breaks: update-manager-kde (<< 1:0.165)
Description: manage release upgrades
 This is the Qt frontend of the Ubuntu Release Upgrader

=== debian/tests/control ===
Tests: nose-tests
Depends: @, gir1.2-webkit2-4.0, python3-mock, python3-nose, xvfb, python3-apport, pep8

## ubuntu-release-upgrader 19.10.15.4

=== debian/changelog ===
ubuntu-release-upgrader (1:19.10.15.4) eoan; urgency=medium

  * debian/control: Update Vcs-*: URLs
  * Rename .bzrignore to .gitignore
  * debian/gbp.conf: Add default configuration
  * debian/gbp.conf: Move prebuild command here from .bzr-builddeb/default.conf
  * debian/release-upgrade-motd: Don't try to update cached info
    as a regular user. That would fail. (LP: #1855271)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 06 Dec 2019 22:52:48 +0100

ubuntu-release-upgrader (1:19.10.15.3) eoan; urgency=medium

  * do-release-upgrade: add linux-base to the check for required reboot after
    a kernel upgrade (LP: #1844805).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 07 Nov 2019 11:56:11 +0100

ubuntu-release-upgrader (1:19.10.15.2) eoan; urgency=medium

  * Fix binary and binary-indep targets to work as intended (LP: #1850851)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 31 Oct 2019 13:38:35 -0600

ubuntu-release-upgrader (1:19.10.15.1) eoan; urgency=medium

  * do-release-upgrade: also check for linux-image- in reboot-required.pkgs,
    refusing upgrading before a reboot is performed. (LP: #1844805)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 29 Oct 2019 10:27:42 +0100

update-manager (0.44.8) edgy; urgency

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Build-Depends-Indep: libxml-parser-perl, 
                      intltool
 Standards-Version: 4.3.0
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/ubuntu-release-upgrader/trunk
+Vcs-Git: https://git.launchpad.net/ubuntu-release-upgrader -b ubuntu/eoan
 
 Package: ubuntu-release-upgrader-core
 Architecture: all

## ubuntu-release-upgrader 20.04.14

=== debian/changelog ===
ubuntu-release-upgrader (1:20.04.14) focal; urgency=medium

  * data/removal_blacklist.cfg: do not allow openssh-server to be removed as
    the upgrade may done over ssh. (LP: #1865309)

 -- Brian Murray <brian@ubuntu.com>  Thu, 12 Mar 2020 10:39:55 -0700

ubuntu-release-upgrader (1:20.04.13) focal; urgency=medium

  [ Marcus Tomlinson ]
  * Add deb2snap.json file for specifying seeded and unseeded snaps.
    - Unseed gnome-calculator, gnome-characters, and gnome-logs.
    - Seed snap-store.

  [ Iain Lane ]
  * Run pre-build.sh to update the built-in data.

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Thu, 27 Feb 2020 18:02:12 +0000

ubuntu-release-upgrader (1:20.04.12) focal; urgency=medium

  * data/release-upgrades: set Prompt to lts as focal is an LTS release.
  * DistUpgrade/DistUpgradeQuirks.py: Do not allow the upgrade to proceed if
    the non-transitional lxd deb is installed and we can not acces the Snap
    Store. (LP: #1834501)

 -- Brian Murray <brian@ubuntu.com>  Mon, 17 Feb 2020 14:11:05 -0800

ubuntu-release-upgrader (1:20.04.11) focal; urgency=medium

  * Fixup the exception building to use package names instead of package
    objects.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 04 Feb 2020 18:44:25 +0100

ubuntu-release-upgrader (1:20.04.10) focal; urgency=medium

  * Do not attempt to upgrade if the cache has broken packages after having
    calculated the upgrade (LP: #1861756)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 04 Feb 2020 18:12:42 +0100

ubuntu-release-upgrader (1:20.04.9) focal; urgency=medium

  * tests: Handle the rename of the pep8 tool to pycodestyle.

 -- dann frazier <dannf@ubuntu.com>  Wed, 29 Jan 2020 07:42:33 -0700

ubuntu-release-upgrader (1:20.04.8) focal; urgency=medium

  [ Jean-Baptiste Lallement ]
  * Do not install a snap package if the corresponding debian package is not
    installed (LP: #1856996)
  * Fixed crash when checking a section of a package when the package is a
    snap (LP: #1856862)
  * Update release to 20.04 in UI (LP: #1856948)

  [ Brian Murray ]
  * Translations, demotions and mirror updates.

 -- Brian Murray <brian@ubuntu.com>  Fri, 20 Dec 2019 13:14:26 -0800

ubuntu-release-upgrader (1:20.04.7) focal; urgency=medium

  * debian/release-upgrade-motd: Fix typo preventing the update of the cached info.
    This fixes the regression introduced when fixing LP: #1855271.
  * debian/gbp.conf: Really run ./pre-build.sh before build

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 06 Dec 2019 21:45:46 +0100

ubuntu-release-upgrader (1:20.04.6) focal; urgency=medium

  * debian/control: Update Vcs-*: URLs
  * Rename .bzrignore to .gitignore
  * debian/gbp.conf: Add default configuration
  * debian/gbp.conf: Move prebuild command here from .bzr-builddeb/default.conf
  * Build source on Focal (LP: #1855437)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 06 Dec 2019 12:55:52 +0100

ubuntu-release-upgrader (1:20.04.5) focal; urgency=medium

  * debian/release-upgrade-motd: Don't try to update cached info
    as a regular user. That would fail.
    (LP: #1855271)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 05 Dec 2019 17:32:08 +0100

ubuntu-release-upgrader (1:20.04.4) focal; urgency=medium

  [ Brian Murray ]
  * data/DistUpgrade.cfg, data/DistUpgrade.cfg.bionic: update for the upgrade
    from 19.10 to 20.04 harder.

  [ Łukasz 'sil2100' Zemczak ]
  * do-release-upgrade: add linux-base to the check for required reboot after
    a kernel upgrade (LP: #1844805).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 06 Nov 2019 18:24:10 +0100

ubuntu-release-upgrader (1:20.04.2) focal; urgency=medium

  * Fix binary and binary-indep targets to work as intended (LP: #1850851)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 31 Oct 2019 13:38:35 -0600

ubuntu-release-upgrader (1:20.04.1) focal; urgency=medium

  [ Brian Murray ]
  * DistUpgrade/{EOL,Devel}ReleaseAnnouncement,
    DistUpgrade/window_main.ui,
    data/gtkbuilder/DistUpgrade.ui,
    data/DistUpgrade.cfg,
    data/DistUpgrade.cfg.bionic,
    pre-build.sh:
    - updated for 19.10 -> 20.04

  [ Łukasz 'sil2100' Zemczak ]
  * do-release-upgrade: also check for linux-image- in reboot-required.pkgs,
    refusing upgrading before a reboot is performed. (LP: #1844805)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 28 Oct 2019 18:35:36 +0100

## ubuntu-release-upgrader 20.04.15

=== debian/changelog ===
ubuntu-release-upgrader (1:20.04.15) focal; urgency=medium

  * DistUpgrade/DistUpgradeCache.py: Update kernel and initrd size calculation
    fallbacks to more closely match reality in focal.

 -- Brian Murray <brian@ubuntu.com>  Fri, 20 Mar 2020 12:39:39 -0700

## ubuntu-release-upgrader 20.04.18

=== debian/changelog ===
ubuntu-release-upgrader (1:20.04.18) focal; urgency=medium

  [ Steve Langasek ]
  * Use libgtk3-perl, not libgtk2-perl, to decide whether to use the gnome
    debconf frontend; debconf migrated to GTK+3 in version 1.5.66, before
    bionic was released.  LP: #1871530.

  [ Brian Murray ]
  * data/mirrors.cfg, utils/update_mirrors.py: Add in ddebs.ubuntu.com as an
    official package source.

 -- Brian Murray <brian@ubuntu.com>  Wed, 08 Apr 2020 08:59:23 -0700

ubuntu-release-upgrader (1:20.04.17) focal; urgency=medium

  * DistUpgrade/DistUpgradeFetcher.py,
    DistUpgrade/ReleaseNotesViewerWebkit.py: use gi.require_version so that
    the right version gets loaded and warning messages are not displayed.
    (LP: #1848629)

 -- Brian Murray <brian@ubuntu.com>  Fri, 03 Apr 2020 07:33:01 -0700

ubuntu-release-upgrader (1:20.04.16) focal; urgency=medium

  [ Dimitri John Ledkov ]
  * DistUpgrade/DistUpgradeQuirks.py: Install python-is-python2 if
    python-minimal is installed. This preserves /usr/bin/python on
    upgrades.

 -- Brian Murray <brian@ubuntu.com>  Fri, 27 Mar 2020 15:26:21 -0700

## ubuntu-release-upgrader 20.04.32

=== debian/changelog ===
ubuntu-release-upgrader (1:20.04.32) focal; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Modify the deb-to-snap quirk to also
     upgrade preseeded snaps to latest/stable/ubuntu-$version for their new
     release. (LP: #1922297)
  * Update mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Tue, 13 Apr 2021 11:37:34 -0700

ubuntu-release-upgrader (1:20.04.31) focal; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py:  use apt's problem resolver to better
    calculate upgrades where python is replaced by python-is-python2 thereby
    resolving a host of upgrade failures. Thanks to Julian for the initial
    patch. (LP: #1898152)

 -- Brian Murray <brian@ubuntu.com>  Wed, 31 Mar 2021 10:13:14 -0700

ubuntu-release-upgrader (1:20.04.30) focal; urgency=medium

  * data/mirrors.cfg: update mirrors for the 20.04.2 point release.

 -- Brian Murray <brian@ubuntu.com>  Tue, 19 Jan 2021 13:47:45 -0800

ubuntu-release-upgrader (1:20.04.29) focal; urgency=medium

  * DistUpgrade/dist-upgrade.py: When running the release upgrade do not add
    user site directory to sys.path thereby preventing user python packages
    from interfering with the upgrade process. (LP: #1848829)

 -- Brian Murray <brian@ubuntu.com>  Tue, 17 Nov 2020 15:26:41 -0800

ubuntu-release-upgrader (1:20.04.28) focal; urgency=medium

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeQuirks.py: In addition to quirking python-minimal
    we also need to quirk python-dbg, python-doc, and python-dev.
    (LP: #1887544)
  * drop changes to data/DistUpgrade.cfg.bionic regarding
    gnome-software-plugin-snap as it failed verification.

  [ Chad Smith ]
  * data/mirrors.cfg: add all ubuntu-advantage services as valid mirrors.
    This includes: fips, fips-updates, esm-infra, esm-apps and cc-eal and
    Ubuntu Pro stable public PPA. (LP: #1893717)
  * DistUpgrade/DistUpgradeController.py: release cache lock during
    runPostInstallScripts (LP: #1897778)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 07 Oct 2020 10:49:37 -0600

ubuntu-release-upgrader (1:20.04.27) focal; urgency=medium

  * data/DistUpgrade.cfg.bionic: Add gnome-software-plugin-snap to
    ForcedObsoletes for ubuntu-desktop and ubuntukylin-desktop only. This
    allows multiple packages to be offered for removal after the upgrade
    completes. (LP: #1894919)

 -- Brian Murray <brian@ubuntu.com>  Wed, 09 Sep 2020 11:27:27 -0700

ubuntu-release-upgrader (1:20.04.26) focal; urgency=medium

  * data/mirrors.cfg: add all ubuntu-advantage services as valid mirrors.
    This includes: fips, fips-updates, esm-infra, esm-apps and cc-eal.
    (LP: #1893717)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 02 Sep 2020 15:21:39 -0600

ubuntu-release-upgrader (1:20.04.25) focal; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Add a check for ROS packages being
    installed and warn that upgrades with them installed are not likely to
    work. Thanks to Kyle Fazzari for the patch. (LP: #1611737)
  * DistUpgrade/DistUpgradeController.py: do what the comment says and really
    back up /etc/apt/sources.list first. (LP: #1888916)

 -- Brian Murray <brian@ubuntu.com>  Wed, 26 Aug 2020 08:36:39 -0700

ubuntu-release-upgrader (1:20.04.24) focal; urgency=medium

  * DistUpgrade/DistUpgradeCache.py: Ensure that the linux metapackage is
    never removed during a distribution upgrade. (LP: #1889449)

 -- Brian Murray <brian@ubuntu.com>  Mon, 03 Aug 2020 09:26:16 -0700

ubuntu-release-upgrader (1:20.04.23) focal; urgency=medium

  * data/DistUpgrade.cfg: remove xscreensaver from the PostUpgradeRemove rule
    for ubuntu-desktop as it is no longer necessary. (LP: #1875107)

 -- Brian Murray <brian@ubuntu.com>  Mon, 20 Jul 2020 17:23:48 -0700

ubuntu-release-upgrader (1:20.04.22) focal; urgency=medium

  * DistUpgrade/DistUpgradeController.py: set a default value for devRelease
    all the time. (LP: #1882069)
  * DistUpgrade/DistUpgradeQuirks.py: Update the quirk for handling the
    transition from python-minimal to python2-minimal so that it runs during a
    prepare stage and an install stage. Thanks to Lukas Märdian for the fix.
    (LP: #1875523)

 -- Brian Murray <brian@ubuntu.com>  Fri, 17 Jul 2020 13:56:54 -0700

ubuntu-release-upgrader (1:20.04.21) focal; urgency=medium

  * debian/91-release-upgrade: make it work in dash. (LP: #1873545)

 -- Brian Murray <brian@ubuntu.com>  Mon, 06 Jul 2020 08:42:50 -0700

ubuntu-release-upgrader (1:20.04.20) focal; urgency=medium

  * debian/91-release-upgrade: exit 0 if run as a non-root user.
    (LP: #1873545)
  * Only pass the package name to apport in the event that there is a dpkg
    error during a distribution upgrade. (LP: #1884148)

 -- Brian Murray <brian@ubuntu.com>  Wed, 24 Jun 2020 15:37:45 -0700

ubuntu-release-upgrader (1:20.04.19) focal; urgency=medium

  [ Dimitri John Ledkov ]
  * DistUpgradeCache: Ignore BaseMetaPkgs' & obsolete tasks during server upgrade
    (LP: #1872902)

  [ Brian Murray ]
  * data/mirrors.cfg: update as some mirrors have been removed as they do not
    mirror Ubuntu 20.04 LTS.
  * data/demoted.bionic.cfg: updated for packages that were removed nearer
    the release date.

 -- Brian Murray <brian@ubuntu.com>  Tue, 05 May 2020 15:26:02 -0700

## ubuntu-release-upgrader 20.04.39

=== debian/changelog ===
ubuntu-release-upgrader (1:20.04.39) focal; urgency=medium

  * Manually run utils/update_mirrors.py to update mirrors.

 -- Brian Murray <brian@ubuntu.com>  Fri, 19 Aug 2022 11:14:38 -0700

ubuntu-release-upgrader (1:20.04.38) focal; urgency=medium

  * do-release-upgrade: Preserve env vars needed for screen lock prevention (LP: #1968607).
  * Run pre-build.sh: updating translations.
  * Manually run utils/update_mirrors.py to update mirrors.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 14 Apr 2022 13:21:35 -0400

ubuntu-release-upgrader (1:20.04.37) focal; urgency=medium

  * Use ubuntu-archive-keyring to verify upgrades, irrespective of how
    apt-key is configured.
  * Update mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Tue, 08 Feb 2022 09:14:10 -0800

ubuntu-release-upgrader (1:20.04.36) focal; urgency=medium

  * DistUpgrade/ReleaseAnnouncement, DistUpgrade/EOLReleaseAnnouncement:
    Update the irc channel server reference to Libera.Chat (LP: #1937852)
  * Update mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Tue, 03 Aug 2021 18:00:22 -0700

ubuntu-release-upgrader (1:20.04.35) focal; urgency=medium

  * tests/test_sources_list.py: remove a port architecture test as the code
    change has not been SRU'ed to 20.04.

 -- Brian Murray <brian@ubuntu.com>  Fri, 02 Jul 2021 16:51:29 -0700

ubuntu-release-upgrader (1:20.04.34) focal; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: If universe is not enabled and the
    upgrader is trying to transition from python to python2 produce an error
    message and exit the upgrade process. (LP: #1924604)
  * DistUpgrade/DistUpgradeCache.py: switch to using finally in distUpgrade so
    that error messages in the above quirk will be visible.
  * tests/test_sources_list.py: use distro_info to set releases when
    performing some upgrade tests which fixes test failures when precise
    was moved to old-releases.
  * Update mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Thu, 01 Jul 2021 11:57:22 -0700

ubuntu-release-upgrader (1:20.04.33) focal; urgency=medium

  * DistUpgrade/DistUpgradeController.py: restore sources.list where possible
    if a KeyboardInterrupt event is received and redirect the output of
    gnome-session-inhibit to devnull so a message regarding Ctrl-C is not
    displayed. (LP: #1898026)
  * DistUpgrade/DistUpgradeQuirks.py: Restore code which ensured the python
    package was maked for removal. (LP: #1928397)
  * Update mirrors and translations.

 -- Brian Murray <brian@ubuntu.com>  Thu, 13 May 2021 16:38:41 -0700

## ubuntu-release-upgrader 20.04.41

=== data/Makefile ===

DOMAIN=ubuntu-release-upgrader
DESKTOP_IN_FILES := $(wildcard *.desktop.in)
DESKTOP_FILES := $(patsubst %.desktop.in,%.desktop,$(wildcard *.desktop.in))

all: $(DESKTOP_FILES)

%.desktop: %.desktop.in ../po/$(DOMAIN).pot
	intltool-merge -d ../po $< $@

=== debian/changelog ===
ubuntu-release-upgrader (1:20.04.41) focal; urgency=medium

  * Manually run utils/update_mirrors.py to update mirrors

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 14 Mar 2023 12:29:22 +0000

ubuntu-release-upgrader (1:20.04.40) focal; urgency=medium

  [ Matthew Ruffell ]
  * DistUpgrade/DistUpgradeQuirks.py: Add quirk to handle fips specific
    .libgcrypt.so.20.hmac file from libgcrypt20-hmac being placed in
    /lib instead of /usr/lib, breaking upgrades for fips enabled systems.
    (LP: #1982534)

  [ Brian Murray ]
  * Update mirrors, demotions, and translations.

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Mon, 21 Nov 2022 11:31:53 +1300

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Build-Depends-Indep: libxml-parser-perl, 
                      intltool
 Standards-Version: 4.3.0
-Vcs-Git: https://git.launchpad.net/ubuntu-release-upgrader -b ubuntu/eoan
+Vcs-Git: https://git.launchpad.net/ubuntu-release-upgrader -b ubuntu/master
 
 Package: ubuntu-release-upgrader-core
 Architecture: all

## ubuntu-release-upgrader 20.10.12

=== debian/changelog ===
ubuntu-release-upgrader (1:20.10.12) groovy; urgency=medium

  [ Chad Smith ]
  * data/mirrors.cfg: add ubuntu advantage pro PPA url as valid mirror
    (LP: #1893717)
  * DistUpgrade/DistUpgradeController.py: release cache lock during
    runPostInstallScripts (LP: #1897778)

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeQuirks.py: In addition to quirking python-minimal
    we also need to quirk python-dbg. (LP: #1887544)
  * Update demotions and mirrors data.

 -- Chad Smith <chad.smith@canonical.com>  Tue, 22 Sep 2020 16:59:52 -0600

ubuntu-release-upgrader (1:20.10.11) groovy; urgency=medium

  [ Brian Murray ]
  * data/release-upgrades: set Prompt to normal as groovy is not an LTS
    release.

  [ Chad Smith ]
  * data/mirrors.cfg: add all ubuntu-advantage services as valid mirrors.
    This includes: fips, fips-updates, esm-infra, esm-apps and cc-eal.
    (LP: #1893717)

 -- Brian Murray <brian@ubuntu.com>  Tue, 01 Sep 2020 15:26:56 -0700

ubuntu-release-upgrader (1:20.10.10) groovy; urgency=medium

  * DistUpgrade/DistUpgradeController.py: do what the comment says and really
    back up /etc/apt/sources.list first. (LP: #1888916)
  * DistUpgrade/screenrc: add 'onerror' to the zombie command so that if the
    process exits normally the screen window will disappear.

 -- Brian Murray <brian@ubuntu.com>  Tue, 25 Aug 2020 14:17:55 -0700

ubuntu-release-upgrader (1:20.10.9) groovy; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Add a check for ROS packages being
    installed and warn that upgrades with them installed are not likely to
    work. Thanks to Kyle Fazzari for the patch. (LP: #1611737)

 -- Brian Murray <brian@ubuntu.com>  Fri, 14 Aug 2020 10:26:04 -0700

ubuntu-release-upgrader (1:20.10.8) groovy; urgency=medium

  * DistUpgrade/DistUpgradeCache.py: Ensure that the linux metapackage is
    never removed during a distribution upgrade. (LP: #1889449)

 -- Brian Murray <brian@ubuntu.com>  Fri, 31 Jul 2020 11:20:23 -0700

ubuntu-release-upgrader (1:20.10.7) groovy; urgency=medium

  * Resolve pycodestyle E741 issues.

 -- Brian Murray <brian@ubuntu.com>  Thu, 23 Jul 2020 09:10:00 -0700

ubuntu-release-upgrader (1:20.10.6) groovy; urgency=medium

  * data/DistUpgrade.cfg: remove xscreensaver from the PostUpgradeRemove rule
    for ubuntu-desktop as it is no longer necessary. (LP: #1875107)

 -- Brian Murray <brian@ubuntu.com>  Mon, 20 Jul 2020 17:11:29 -0700

ubuntu-release-upgrader (1:20.10.5) groovy; urgency=medium

  * DistUpgrade/DistUpgradeController.py: set a default value for devRelease
    all the time. (LP: #1882069)
  * DistUpgrade/DistUpgradeQuirks.py: Update the quirk for handling the
    transition from python-minimal to python2-minimal so that it runs during a
    prepare stage and an install stage. Thanks to Lukas Märdian for the fix.
    (LP: #1875523)

 -- Brian Murray <brian@ubuntu.com>  Fri, 17 Jul 2020 11:49:10 -0700

ubuntu-release-upgrader (1:20.10.4) groovy; urgency=medium

  * debian/91-release-upgrade: make it work in dash.

 -- Brian Murray <brian@ubuntu.com>  Thu, 02 Jul 2020 12:29:07 -0700

ubuntu-release-upgrader (1:20.10.3) groovy; urgency=medium

  [ Dimitri John Ledkov ]
  * Use ubuntu-archive-keyring to verify upgrades, irrespective of how
    apt-key is configured.

  [ Brian Murray ]
  * utils/demotions.py: also use the ubuntu-archive-keyring when determining
    packages that were demoted.

 -- Brian Murray <brian@ubuntu.com>  Tue, 30 Jun 2020 09:15:09 -0700

ubuntu-release-upgrader (1:20.10.2) groovy; urgency=medium

  * debian/91-release-upgrade: exit 0 if run as a non-root user.
    (LP: #1873545)
  * Only pass the package name to apport in the event that there is a dpkg
    error during a distribution upgrade. (LP: #1884148)

 -- Brian Murray <brian@ubuntu.com>  Wed, 24 Jun 2020 11:34:11 -0700

ubuntu-release-upgrader (1:20.10.1) groovy; urgency=medium

  [ Dimitri John Ledkov ]
  * DistUpgradeCache: Ignore BaseMetaPkgs' & obsolete tasks during server upgrade
    (LP: #1872902)

  [ Brian Murray ]
  * Update for 20.04 -> 20.10.

 -- Brian Murray <brian@ubuntu.com>  Tue, 05 May 2020 14:37:21 -0700

## ubuntu-release-upgrader 20.10.16

=== debian/changelog ===
ubuntu-release-upgrader (1:20.10.16) groovy; urgency=medium

  * DistUpgrade/DistUpgradeController.py: restore sources.list where possible
    if a KeyboardInterrupt event is received and redirect the output of
    gnome-session-inhibit to devnull so a message regarding Ctrl-C is not
    displayed. (LP: #1898026)
  * Update mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Fri, 14 May 2021 10:27:44 -0700

ubuntu-release-upgrader (1:20.10.15) groovy; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Modify the deb-to-snap quirk to also
    upgrade preseeded snaps to latest/stable/ubuntu-$version for their new
    release. (LP: #1922297)
  * Update mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Tue, 13 Apr 2021 11:10:49 -0700

ubuntu-release-upgrader (1:20.10.14) groovy; urgency=medium

  * DistUpgrade/dist-upgrade.py: When running the release upgrade do not add
    user site directory to sys.path thereby preventing user python packages
    from interfering with the upgrade process. (LP: #1848829) 

 -- Brian Murray <brian@ubuntu.com>  Tue, 17 Nov 2020 14:47:37 -0800

ubuntu-release-upgrader (1:20.10.13) groovy; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Replace python-dev with
    python-dev-is-python2 rather than with nothing as that is a better upgrade
    path. (LP: #1887544)
  * DistUpgrade/DistUpgradeViewGtk3.py, DistUpgrade/DistUpgradeViewKDE.py:
    Change the window label from 20.04 to 20.10. (LP: #1901377)
  * Update mirrors and demotions.

 -- Brian Murray <brian@ubuntu.com>  Mon, 26 Oct 2020 10:41:49 -0700

## ubuntu-release-upgrader 21.04.10

=== debian/changelog ===
ubuntu-release-upgrader (1:21.04.10) hirsute; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: look for the proper package name in the
    cache. (LP: #1924793)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Fri, 16 Apr 2021 11:55:36 -0700

ubuntu-release-upgrader (1:21.04.9) hirsute; urgency=medium

  [ Dave Jones ]
  * DistUpgrade/DistUpgradeQuirks.py: Add quirk to rewrite references to fkms
    overlay in Raspberry Pi boot configuration to kms overlay (and disable the
    related camera firmware lines). (LP: #1923673)

  [ Brian Murray ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Thu, 15 Apr 2021 09:29:00 -0700

ubuntu-release-upgrader (1:21.04.8) hirsute; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Modify the deb-to-snap quirk to also
    upgrade preseeded snaps to latest/stable/ubuntu-$version for their new
    release. (LP: #1922297)
  * tests/test_quirks.py: update the snap tests for the above changes.
  * Run pre-build.sh.

 -- Brian Murray <brian@ubuntu.com>  Mon, 12 Apr 2021 15:33:41 -0700

ubuntu-release-upgrader (1:21.04.7) hirsute; urgency=medium

  * DistUpgrade/DistUpgradeController.py: Only rewrite archive.u.c and
    security.u.c to ports.
  * test/test_sources_list.py: update the tests for the changes regarding
    rewriting uris for ports.u.c.
  * Run pre-build.sh.

 -- Brian Murray <brian@ubuntu.com>  Thu, 08 Apr 2021 13:02:02 -0700

ubuntu-release-upgrader (1:21.04.6) hirsute; urgency=medium

  * DistUpgrade/DistUpgradeController.py: If there is a sources.list entry for
    an arch which is on ports.ubuntu.com rewrite the uri so that ports is
    used. (LP: #1917220)
  * DistUpgrade/DistUpgradeQuirks.py:  use apt's problem resolver to better
    calculate upgrades where python is replaced by python-is-python2 thereby
    resolving a host of upgrade failures. Thanks to Julian for the initial
    patch. (LP: #1898152)

 -- Brian Murray <brian@ubuntu.com>  Wed, 31 Mar 2021 09:25:55 -0700

ubuntu-release-upgrader (1:21.04.5) hirsute; urgency=medium

  [ William 'jawn-smith' Wilson ]
  * Add quirk to block upgrade if docker containers are configured to use the
    aufs storage-driver (LP: #1907713)

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeController.py: where possible restore sources.list
    if a KeyboardInterrupt event is received. (LP: #1898026)
  * DistUpgrade/DistUpgradeController.py: redirect the output of
    gnome-session-inhibit to devnull so a message regarding Ctrl-C is not
    displayed.

 -- Brian Murray <brian@ubuntu.com>  Fri, 26 Feb 2021 11:27:39 -0800

ubuntu-release-upgrader (1:21.04.4) hirsute; urgency=medium

  * Run old tests on amd64 so ports that did not exist back then work

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 11 Jan 2021 11:53:47 +0100

ubuntu-release-upgrader (1:21.04.3) hirsute; urgency=medium

  * Adapt to Ubuntu archive URL change to due to template unification in
    python-apt (>= 2.1.5); update build-depends accordingly.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 17 Dec 2020 10:10:14 +0100

ubuntu-release-upgrader (1:21.04.2) hirsute; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: ensure there are matches for both regexs
    before trying to use them.
  * DistUpgrade/dist-upgrade.py: When running the release upgrade do not add
    user site directory to sys.path thereby preventing user python packages
    from interfering with the upgrade process. (LP: #1848829)
  * Remove code relevant to peforming a distribution upgrade with a "cdrom" of
    the release to which you are upgrading as it has been hidden and broken
    for quite some time.

 -- Brian Murray <brian@ubuntu.com>  Mon, 09 Nov 2020 11:20:25 -0800

ubuntu-release-upgrader (1:21.04.1) hirsute; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Replace python-dev with
    python-dev-is-python2 rather than with nothing as that is a better upgrade
    path. (LP: #1887544)
  * Update for 20.10 -> 21.04.

 -- Brian Murray <brian@ubuntu.com>  Wed, 28 Oct 2020 10:39:56 -0700
